# List

## Lista de SAF-T(PT)

## Fornece uma Lista de todos os Ficheiros SAF-T(PT) já gerados.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/saft/`

#### Query Parameters

| Name                | Type                | Description                                                                                                                                                                                                                 |
| ------------------- | ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit               | integer             | Define o número de registos por pesquisa.                                                                                                                                                                                   |
| offset              | integer             | Indica a posição inicial da pesquisa. Retorna a lista de registos compreendida entre offset:offset+limit.                                                                                                                   |
| ordering            | string              | Define o campo e a direção a usar na pesquisa.                                                                                                                                                                              |
| search              | string              | Define o termo de pesquisa a utilizar na lista.                                                                                                                                                                             |
| emission\_date      | date  \[yyyy-mm-dd] | <p>Data de Emissão</p><p></p><p>Ao nome deste campo podem ainda adicionados os sufixos :</p><ul><li><strong>\_\_gte</strong>: para datas "maiores que"</li><li><strong>\_\_lte</strong>: para datas "menores que"</li></ul> |
| file\_initial\_date | date  \[yyyy-mm-dd] | <p>Data de Início</p><p></p><p>Ao nome deste campo podem ainda adicionados os sufixos :</p><ul><li><strong>\_\_gte</strong>: para datas "maiores que"</li><li><strong>\_\_lte</strong>: para datas "menores que"</li></ul>  |
| file\_final\_date   | date  \[yyyy-mm-dd] | <p>Data de Fim</p><p></p><p>Ao nome deste campo podem ainda adicionados os sufixos :</p><ul><li><strong>\_\_gte</strong>: para datas "maiores que"</li><li><strong>\_\_lte</strong>: para datas "menores que"</li></ul>     |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/saft/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

```json
{
    "limit": 10,
    "offset": 0,
    "count": 24,
    "next": "https://api.cloudinvoice.net/saft/?limit=10&offset=10",
    "previous": null,
    "results": [
        {
            "id": 24,
            "emission_date": "2026-01-01",
            "file_initial_date": "2025-12-01",
            "file_final_date": "2025-12-31",
            "is_file_canceled": false,
            "location_id": null,
            "saft_file_type_id": 3101,
            "saft_file_type": {
                "code": "M",
                "description": "Mensal"
            }
        },
        ...
    ]
}
```

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](/introducao/exemplos-de-pedidos.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.cloudinvoice.net/documentacao-api/saf-t-pt/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
